#ifndef __DVB_SUBTITLES_CONFIGURATION__
#define __DVB_SUBTITLES_CONFIGURATION__

struct cSubtitlesConfiguration
{
  cSubtitlesConfiguration();
  bool Parse(const char *Name, const char *Value);
  int  language;
  int  secondaryLanguage;
  int  language2;
  int  hearingImpaired;
  int  widescreen;
  int  recording;
  int  enabled;
  int  offset;
  int  sync;
  int  delay;
  int  mainmenu;
  int  bpp;
  int  dxr3comp;
  int  bgTransparency, fgTransparency;
};

extern cSubtitlesConfiguration gSubtitlesConfiguration;

void LoadChannels(const char* FileName);
void SaveChannels(void);

#endif
